% ------------------------------------------------------------------- %
%                           The Rule-Base                             %
% ------------------------------------------------------------------- %

%
% Required definitions for Amzi!  Do not change or remove.
%
:- op(790, fx, if).     	% prefix operator
:- op(780, xfx, then).  	% infix operator
:- op(775, xfy, or).    	% infix that can be linked
:- op(770, xfy, and).   	% infix that can be linked
:- op(700, xfx, <=).		% infix operator
:- op(700, xfx, include).	% infix operator

% For Windows

system('Log File', 'C:\\WebLS\\logs\\liltrace.htm').
system('Log File URL', 'file:///C:\\WebLS\\logs\\liltrace.htm').
system('Results File', $C:\\WebLS\\logs\\lilrslts.pro$).
system('Initial Form', $C:\\WebLS\\html\\lilrules.htm$).
system('Temp Directory', $C:\\WebLS\\temp\\$).
system('Body Args', $bgcolor=#CEFAFF text=#000000$).
system('Title', $Amzi! Little Problem Resolver$).
system('Footer', $<FONT SIZE=-1>Copyright &#169;1996 Amzi! inc.  All Rights Reserved.$).
system('Form Action', 'Executable Path').
system('Goal', 'problem').

% For BSD Unix

%system('Log File', '/usr/me/html/liltrace.htm').
%system('Log File URL', 'http://www.company.com/liltrace.htm').
%system('Results File', $/usr/me/logs/lilrslts.pro$).
%system('Initial Form', $/usr/me/html/lilrules.htm$).
%system('Temp Directory', $/usr/me/temp/$).

attr(errorCode, 
     [
     prompt = $What error code was displayed or 'none'?$,
     ask = field,
     length = 5
     ]).

attr(programType, 
     [
     prompt = $What program are you running?$,
     ask = menu(['other', 'Amzi! Hello Program', 'Amzi! Sample Program',
                 'Amzi! IDE', 'My Program', 'Windows Application'])
     ]).

if errorCode = '600' and
   programType = 'Amzi! Hello Program' 
then problem = helloXPL.

if errorCode = '600' and
   programType = 'Amzi! Sample Program' 
then problem = sampleXPL.

if errorCode = '600' and
   programType = 'My Program' 
then problem = missingXPL.

answer(helloXPL, 
       [
       text = [$The program is unable to locate the Amzi! Prolog object module, an XPL file. $,
                 $Make sure the AMZI installation directory is in your path, and that HELLO.XPL file $,
                 $exists in the path or the current directory.$]
       ]).

answer(sampleXPL, 
       [
       text = [$The program is unable to locate the Amzi! Prolog object module, an XPL file. $,
                 $Some of the Amzi! samples include source only, $,
                 $and the PRO file needs to be compiled and linked $,
                 $into an XPL file.$,
                 $<P>If the XPL file exists, then it must be in your $,
                 $path or the current directory.$]
       ]).

answer(missingXPL, 
       [
       text = [$The program is unable to locate the Amzi! Prolog object module, an XPL file. $,
                 $Make sure the the XPL file exists in your path $,
                 $or the current directory.$,
                 $<P>Note: Some development environments such as Visual Basic and $,
                 $Delphi set the current directory to a directory you might not $,
                 $have expected.$]
       ]).
